## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.11.0
%bcond_without check

# https://github.com/containerd/containerd
%global goipath         github.com/containerd/containerd
Version:                2.0.3

%gometa -L -f

%global common_description %{expand:
Containerd is an industry-standard container runtime with an emphasis on
simplicity, robustness and portability. It is available as a daemon for Linux
and Windows, which can manage the complete container lifecycle of its host
system: image transfer and storage, container execution and supervision,
low-level storage and network attachments, etc.}

Name:           containerd
Release:        %autorelease
Summary:        An open and reliable container runtime

# Generated by go-vendor-tools
# SourceLicense:  Apache-2.0
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml
Source3:        containerd.toml

Patch:          0001-Makefile-adjust-GO_LDFLAGS-quoting.patch

BuildRequires:  /usr/bin/go-md2man
BuildRequires:  btrfs-progs-devel
BuildRequires:  go-vendor-tools
BuildRequires:  make
BuildRequires:  systemd-rpm-macros
BuildRequires:  procps-ng

Requires:       runc

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1
# Replace default bin directory
sed -i "s|/usr/local/bin/containerd|/usr/bin/containerd|" containerd.service
cp -p %{S:3} .

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
GO_LDFLAGS="" GO_BUILDFLAGS=""
%global makeflags %{expand:\\
    DATADIR=%{_datadir} \\
    DESTDIR=%{buildroot} \\
    EXTRA_LDFLAGS=%{gobuild_ldflags_shescaped} \\
    GO_BUILD_FLAGS=%{gobuild_baseflags_shescaped} \\
    MANDIR=%{_mandir} \\
    PREFIX=%{_prefix} \\
    REVISION=%{release} \\
    SHIM_CGO_ENABLED=1 \\
    VERSION=%{version} \\
}
%make_build %{makeflags} binaries man

%install
%go_vendor_license_install -c %{S:2}
%make_build %{makeflags} install install-man
install -Dpm 0644 containerd.service -t %{buildroot}%{_unitdir}
install -Dpm 0644 containerd.toml %{buildroot}%{_sysconfdir}/containerd/config.toml

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%make_build %{makeflags} test
%endif

%post
%systemd_post containerd.service

%preun
%systemd_preun containerd.service

%postun
%systemd_postun_with_restart containerd.service

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc ROADMAP.md ADOPTERS.md BUILDING.md README.md RELEASES.md SCOPE.md
%{_bindir}/ctr
%{_bindir}/containerd
%{_bindir}/containerd-stress
%{_bindir}/containerd-shim*
%{_mandir}/man5/containerd-config.toml.5*
%{_mandir}/man8/ctr.8*
%{_mandir}/man8/containerd.8*
%{_mandir}/man8/containerd-config.8*
%dir %{_sysconfdir}/containerd
%config(noreplace) %{_sysconfdir}/containerd/config.toml
%{_unitdir}/containerd.service


%changelog
## START: Generated by rpmautospec
* Fri Feb 28 2025 Bradley G Smith <bradley.g.smith@gmail.com> - 2.0.3-1
- Update to release v2.0.3
- Upstream fixes

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 14 2025 Bradley G Smith <bradley.g.smith@gmail.com> - 2.0.2-1
- Update to release v2.0.2
- Resolves rhbz#2337577
- Upstream release note summary: "The second patch release for containerd
  2.0 includes a number of bug fixes and improvements."

* Sat Dec 14 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 2.0.1-1
- Update to release v2.0.1
- Resolves rhbz#2332367
- Drops 0001-fsverity.IsEnabled-big-endian-fix.patch. Upstream incorporated
  a change that obviates this patch.

* Fri Dec 06 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 2.0.0-4
- Add directory excludes to go-vendor-tools.toml to amend license report

* Tue Nov 26 2024 Maxwell G <maxwell@gtmx.me> - 2.0.0-3
- Add missing systemd scriptlets

* Wed Nov 13 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 2.0.0-2
- Fix failed tests on s390x

* Thu Nov 07 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 2.0.0-1
- Update to new v2.0.0 release
- Resolves rhbz#2324373

* Thu Oct 17 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.7.23-1
- Update to v1.7.23
- Resolves rhbz#2298665

* Wed Sep 11 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.7.22-1
- Update to v1.7.22

* Tue Aug 27 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.7.21-1
- Update to v1.7.21

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.7.19-2
- Fix missing source

* Sat Jul 06 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.7.19-1
- Update to v1.7.19

* Fri Apr 12 2024 Sérgio M. Basto <sergio@serjux.com> - 1.7.15-2
- Restore description

* Fri Apr 12 2024 Maxwell G <maxwell@gtmx.me> - 1.7.15-1
- Update to 1.7.15. Fixes rhbz#2177352.

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.6.23-5
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 05 2023 Sérgio M. Basto <sergio@serjux.com> - 1.6.23-2
- bump release

* Tue Dec 05 2023 Sérgio M. Basto <sergio@serjux.com> - 1.6.23-1
- rebuild with golang-github-containerd-ttrpc-1.1.0-1 Epoch 2

* Tue Dec 05 2023 Sérgio M. Basto <sergio@serjux.com> - 1.7.0-1
- rebuild with golang-github-containerd-ttrpc-1.1.0-1 Epoch 2

* Fri Aug 25 2023 Davanum Srinivas <davanum@gmail.com> - 1.6.23-1
- update to containerd v1.6.23

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Feb 28 2023 Dalton Hubble <dghubble@gmail.com> - 1.6.19-1
- Update to 1.16.19 (rhbz#2159032)
- Mitigates CVE-2023-25153 / GHSA-259w-8hf6-59c2
- Mitigates CVE-2023-25173 / GHSA-hmfx-3pcx-653p

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Dalton Hubble <dghubble@gmail.com> - 1.6.15-1
- Update to 1.6.15

* Tue Dec 20 2022 Maxwell G <gotmax@e.email> - 1.6.14-2
- Fixes: rhbz##2154183

* Mon Dec 19 2022 Dalton Hubble <dghubble@gmail.com> - 1.6.14-1
- Update to 1.6.14

* Fri Dec 09 2022 Maxwell G <gotmax@e.email> - 1.6.12-1
- Update to 1.6.12. Fixes rhbz#2151471.

* Wed Dec 07 2022 Dalton Hubble <dghubble@gmail.com> - 1.6.11-1
- Update to v1.6.11

* Thu Nov 17 2022 Dalton Hubble <dghubble@gmail.com> - 1.6.10-1
- Update to 1.6.10 (rhbz#2143464).

* Fri Nov 04 2022 Dalton Hubble <dghubble@gmail.com> - 1.6.9-3
- Extend the Use-typeurl.Any patch to metrics_test.go

* Fri Nov 04 2022 Dalton Hubble <dghubble@gmail.com> - 1.6.9-2
- Restore patch header and remove diff to vendor files

* Fri Nov 04 2022 Dalton Hubble <dghubble@gmail.com> - 1.6.9-1
- Update containerd to v1.6.9 (rhbz#2137464).

* Tue Nov 01 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.8-5
- Add compatibility patch for latest runc

* Sun Sep 11 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.8-4
- Fix FTBFS

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.6.8-3
- Rebuild to fix FTBFS

* Tue Aug 09 2022 Maxwell G <gotmax@e.email> - 1.6.8-2
- Switch to SPDX identifiers

* Mon Aug 08 2022 Maxwell G <gotmax@e.email> - 1.6.8-1
- Update to 1.6.8. Fixes rhbz#2094144.

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.6.6-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Thu Jun 23 2022 Maxwell G <gotmax@e.email> - 1.6.6-4
- Rebuild to mitigate CVE-2022-21698 (rhbz#2067400).

* Sun Jun 19 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.6-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Jun 11 2022 Maxwell G <gotmax@e.email> - 1.6.6-2
- Rebuild for new golang-github-docker-libnetwork

* Mon Jun 06 2022 Maxwell G <gotmax@e.email> 1.6.6-1
- Update to 1.6.6.
- Mitigates GHSA-5ffw-gxpp-mxpf / CVE-2022-31030.

* Sun Jun 05 2022 Maxwell G <gotmax@e.email> 1.6.5-2
- Bump release

* Sat Jun 04 2022 Maxwell G <gotmax@e.email> 1.6.5-1
- Update to 1.6.5. Fixes rhbz#2093608.

* Wed May 11 2022 Maxwell G <gotmax@e.email> 1.6.4-1
- Update to 1.6.4. Fixes rhbz#079050 and rhbz#2079779.

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> 1.6.2-2
- Rebuilt for CVE-2022-27191

* Sun Apr 03 2022 Maxwell G <gotmax@e.email> 1.6.2-1
- Update to 1.6.2 (rhbz#2068277). Mitigates CVE-2022-24769 /
  GHSA-c9cp-9c75-9v8c.

* Sat Mar 12 2022 Maxwell G <gotmax@e.email> 1.6.1-1
- Update to 1.6.1 (rhbz#2060228). Mitigates CVE-2022-23648.

* Thu Feb 17 2022 Maxwell G <gotmax@e.email> 1.6.0-1
- Update to 1.6.0 (rhbz#2054935). Use unbundled deps.

* Sun Feb 06 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.6.0~rc.2-2
- Disable platform tests

* Sat Feb 05 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.6.0~rc.2-1
- Update to 1.6.0~rc.2 Close: rhbz#1731597 Close: rhbz#1798419

* Mon Jan 31 2022 Maxwell G <gotmax@e.email> - 1.5.9-1
- Update to 1.5.9. Fixes FTBFS. Closes rhbz#2045277.
- Mitigates CVE-2021-43816. Closes rhbz#2044434. Closes rhbz#2044436.
- Temporarily build using vendored dependencies.

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.8-1
- Update to upstream 1.5.8 (fixes rhbz#2013807)
- Mitigate CVE-2021-41190 (fixes GHSA-5j5w-g665-5m35, fixes rhbz#2024941)

* Sun Oct 10 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.7-1
- Update to upstream 1.5.7 (fixes rhbz#2009149)
- Fixes CVE-2021-41103 (fixes rhbz#2011014, rhbz#2011007)

* Sun Aug 15 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.5-1
- Update to upstream 1.5.5 (fixes rhbz#1983820)
- Fixes CVE-2021-32760 (rhbz#1983932)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 14 11:28:54 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.3-1
- Update to upstream 1.5.3 (fixes rhbz#1956638)

* Tue May 04 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.0-1
- Update to upstream 1.5.0 (#1956638)

* Mon Apr 19 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.0~rc.1-1
- Update to 1.5.0~rc.1 (#1948041)

* Wed Mar 17 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.0~beta.4-1
- Update to upstream 1.5.0-beta.4

* Sat Mar 06 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.5.0~beta.3-1
- Update to upstream 1.5.0-beta.3

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.0~beta.0-2
- Rebuilt for updated systemd-rpm-macros
  See https://pagure.io/fesco/issue/2583.

* Thu Jan 28 2021 Olivier Lemasle <o.lemasle@gmail.com> 1.5.0~beta.0-1
- Update to 1.5.0~beta.0 (#1918993)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 01 2020 Olivier Lemasle <o.lemasle@gmail.com> - 1.4.3-1
- Fix CVE-2020-15257 (#1903050)
- Update to latest upstream - 1.4.3 (#1901908)

* Mon Nov  2 23:23:57 CET 2020 Olivier Lemasle <o.lemasle@gmail.com> - 1.4.1-2
- Fix man pages

* Wed Sep 30 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Update to 1.4.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 01 2020 Olivier Lemasle <o.lemasle@gmail.com> - 1.3.3-1
- Update to 1.3.3

* Sun Mar 22 2020 Olivier Lemasle <o.lemasle@gmail.com> - 1.2.13-2
- Remove version requirement on golang-github-containerd-cri

* Sun Mar 22 2020 Olivier Lemasle <o.lemasle@gmail.com> - 1.2.13-1
- Exclude failing integration tests
- Update to containerd 1.2.13

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 01 15:33:19 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.6-1.20190501gitd68b593
- Release 1.2.6, commit d68b593de4ab10bb8b4fd64560e10d43c7156db2

* Tue Feb 26 2019 Carl George <carl@george.computer> - 1.2.4-1
- Latest upstream

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 03 2019 Carl George <carl@george.computer> - 1.2.1-1
- Latest upstream
- Run test suite (except on el7 or %%arm)

* Thu Oct 25 2018 Carl George <carl@george.computer> - 1.2.0-1
- Latest upstream

* Mon Aug 13 2018 Carl George <carl@george.computer> - 1.1.2-1
- Latest upstream

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 26 2018 Carl George <carl@george.computer> - 1.1.0-1
- Latest upstream
- Build and include man pages

* Wed Apr 04 2018 Carl George <carl@george.computer> - 1.0.3-1
- Latest upstream

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Carl George <carl@george.computer> - 1.0.1-1
- Latest upstream

* Wed Dec 06 2017 Carl George <carl@george.computer> - 1.0.0-1
- Latest upstream

* Fri Nov 10 2017 Carl George <carl@george.computer> - 1.0.0-0.5.beta.3
- Latest upstream

* Thu Oct 19 2017 Carl George <carl@george.computer> - 1.0.0-0.4.beta.2
- Own /etc/containerd

* Thu Oct 12 2017 Carl George <carl@george.computer> - 1.0.0-0.3.beta.2
- Latest upstream
- Require runc 1.0.0 https://github.com/containerd/containerd/issues/1508#issuecomment-335566293

* Mon Oct 09 2017 Carl George <carl@george.computer> - 1.0.0-0.2.beta.1
- Add provides for vendored dependencies
- Add ctr command

* Wed Oct 04 2017 Carl George <carl@george.computer> - 1.0.0-0.1.beta.1
- Initial package

## END: Generated by rpmautospec
